using AutobusApi.Domain.Common;
using AutobusApi.Domain.Enums;
using AutobusApi.Domain.IEntities;

namespace AutobusApi.Domain.Entities;

public class Address : EntityBase
{
    public required string Name { get; set; }

    public required ICoordinates Location { get; set; }

    public required VehicleType VehicleType { get; set; }

    public ICollection<RouteAddress> RouteAddresses { get; set; } = null!;

    public required int CityId { get; set; }

    public City City { get; set; } = null!;
}
