using AutobusApi.Domain.Common;

namespace AutobusApi.Domain.Entities;

public class Company : EntityBase
{
    public required string Name { get; set; }

    public required string LegalAddress { get; set; }

    public required string ContactEmail { get; set; }

    public required string ContactPhoneNumber { get; set; }

    public ICollection<Vehicle> Vehicles { get; set; } = null!;

    public ICollection<Employee> Employees { get; set; } = null!;
}
