using AutobusApi.Domain.Common;

namespace AutobusApi.Domain.Entities;

public class Region : EntityBase
{
    public required string Name { get; set; }

    public ICollection<City> Cities { get; set; } = null!;

    public required int CountryId { get; set; }

    public Country Country { get; set; } = null!;
}
