using AutobusApi.Domain.Common;

namespace AutobusApi.Domain.Entities;

public class RouteAddressDetails : EntityBase
{
    public required TimeSpan TimeToNextAddress { get; set; }

    public required double CostToNextAddress { get; set; }

    public required TimeSpan CurrentAddressStopTime { get; set; }

    public required int RouteAddressId { get; set; }

    public RouteAddress RouteAddress { get; set; } = null!;

    public required int VehicleEnrollmentId { get; set; }

    public VehicleEnrollment VehicleEnrollment { get; set; } = null!;
}
