using AutobusApi.Domain.Common;

namespace AutobusApi.Domain.Entities;

public class Review : EntityBase
{
    public required int Rating { get; set; }

    public required string? Comment { get; set; }

    public required DateTime PostDateTimeUtc { get; set; }

    public required int UserId { get; set; }

    public User User { get; set; } = null!;

    public required int VehicleEnrollmentId { get; set; }

    public VehicleEnrollment VehicleEnrollment { get; set; } = null!;
}
