using AutobusApi.Domain.Common;

namespace AutobusApi.Domain.Entities;

public class Vehicle : EntityBase
{
    public required int CompanyId { get; set; }

    public Company Company { get; set; } = null!;

    public ICollection<VehicleEnrollment> Enrollments { get; set; } = null!;
}
